[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TStartDockEvent

The type of an OnStartDock handler.

## Declaration

Source position: controls.pp line 578

`type TStartDockEvent = procedure(`
`Sender: TObject;`
`var DragObject: TDragDockObject`
`) of object;`

## Arguments

`Sender` |  | The control being dragged.
`DragObject` |  | Supply your own TDragDockObject, or leave it Nil to request automatic creation.

## Description

An OnStartDock event is sent by a control when it shall be dragged and its DragKind is dkDock. The handler can provide a specific DragDock object, else a standard TDragDockObjectEx is automatically created by the DragManager.

## See also

TStartDragEvent |  | The type of an OnStartDrag handler.